XPRESENT(3)

NAME
Xpresent - X Present Extension

SYNTAX
#include <X11/extensions/Xpresent.h>

Bool XPresentQueryExtension (Display *dpy, int *major_opcode_return,
	int *event_base_return, int *error_base_return);

Status XPresentQueryVersion (Display *dpy,
	int *major_version_return,
	int *minor_version_return);

int XPresentVersion (void);

ARGUMENTS

dpy Specifies the connection to the X server.

DESCRIPTION
Xpresent is a library designed to interface the X Present Extension. The Present extension provides a way for applications to update their window contents from a pixmap in a well defined fashion, synchronizing with the display refresh and potentially using a more efficient mechanism than copying the contents of the source pixmap. The XPresentQueryExtension function checks if the X server specified by dpy supports the X Present extension. If the server does not support the extension, it returns False. If the server does support the extension, it returns True, and sets the values of major_opcode_return, event_base_return, and error_base_return if the pointers are not NULL.

Clients must call the XPresentQueryExtension function to verify the server supports the extension before calling any other function for this extension. The XPresentQueryVersion function sets the values pointed to by major_version_return and minor_version_return to the version of the extension supported by the X server specified by dpy. The XPresentQueryVersion function returns the version of the libXpresent library in use, as defined by the PRESENT_VERSION macro in <X11/extensions/Xpresent.h>.

SEE ALSO
XPresentNotifyMSC(3), XPresentPixmap(3), XPresentQueryCapabilities(3), XPresentSelectInput(3)

RESTRICTIONS
Xpresent will remain upward compatible after the 1.0 release.

AUTHORS
Keith Packard, Intel